## ibus-qt 1.3.2

=== docs/CMakeLists.txt ===
add_custom_target(docs
    COMMAND ${DOXYGEN_EXECUTABLE}
    SOURCES Doxyfile
    )

=== debian/changelog ===
ibus-qt (1.3.2-2) unstable; urgency=medium

  * Remove recommends: qt4-qtconfig.  Closes: #611190
  * Quiet Qt via DEB_CFLAGS_MAINT_APPEND. Closes: #738136 

 -- Osamu Aoki <osamu@debian.org>  Sat, 01 Feb 2014 02:35:34 +0900

ibus-qt (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update package description, watch and Uploaders.
  * Use hardening.
  * Bump Standards-Version to 3.9.5
  * Lintian override for symbols reminder since this is C++.
  * Add recommends: qt4-qtconfig.  Closes: #611190

 -- Osamu Aoki <osamu@debian.org>  Mon, 27 Jan 2014 00:12:16 +0900

ibus-qt (1.3.1-4) unstable; urgency=low

  * Team upload.
  * M-A enabled.  Closes: #704812 

 -- Osamu Aoki <osamu@debian.org>  Thu, 12 Sep 2013 22:08:02 +0900

ibus-qt (1.3.1-3) unstable; urgency=low

  * Team upload.
  * Bump compat to 9, Standards-Version to 3.9.4.
  * Install AUTHORS and README in right place.
  * Build for ibus 1.5 transition.

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Sep 2013 23:37:11 +0900

ibus-qt (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with Qt 4.8 (multiarch) by updating ibus-qt4.install to use
    multiarch paths (Closes: #662775)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 15 May 2012 02:44:44 -0400

ibus-qt (1.3.1-2) unstable; urgency=low

  * Fix "FTBFS: FTBFS on latest unstable."
    Depend on libibus-1.0-dev instead of libibus-dev (Closes: #640040)
  * Fix "INSTALL file unnecessary" (Closes: #632817)
  * Set VCS to git.debian.org
  * Set DM-Upload-Allowed to yes
  * Bump Standards-Version to 3.9.2

 -- Asias He <asias.hejun@gmail.com>  Mon, 05 Sep 2011 09:23:12 +0800

=== debian/control ===
Source: ibus-qt
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>,
           Asias He <asias.hejun@gmail.com>,
           Osamu Aoki <osamu@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               doxygen,
               libdbus-1-dev,
               libibus-1.0-dev,
               libicu-dev,
               libqt4-dev (>= 4:4.8.0~),
               libx11-dev,
               pkg-config
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://anonscm.debian.org/pkg-ime/ibus-qt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-qt.git

Package: ibus-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: qt-immodule for ibus (QT4) (plugin)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 ibus-qt4 is the QT4 client of ibus, it provide a qt-immodule for ibus.

Package: libibus-qt1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: qt-immodule for ibus (QT4) (library)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 libibus-qt1 is the library of ibus-qt.

Package: libibus-qt-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-dev,
         libibus-1.0-dev,
         libibus-qt1 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: qt-immodule for ibus (QT4) (development package)
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the header files which is needed for
 developing the ibus-qt applications.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_PREFIX=/usr \
            -DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_makeshlibs:
	        dh_makeshlibs -Nibus-qt4

## ibus-qt 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# ======
# Project information
project(ibus-qt)
set(AUTHORS "Peng Huang")
set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
set(VERSION_MAJOR "1")
set(VERSION_MINOR "3")
set(VERSION_PATCH "3")
set(VERSION_SNAPDATE "")
set(LIB_VERSION "1.3.0")
set(LIB_SOVERSION "1")

# ======
# CPack configure
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
if(NOT VERSION_SNAPDATE)
    set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
else(NOT VERSION_SNAPDATE)
    set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
endif(NOT VERSION_SNAPDATE)

set(CPACK_SET_DESTDIR "ON")
set(CPACK_INSTALL_PREFIX "/usr")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
set(CPACK_SOURCE_IGNORE_FILES
    "/\\\\.git/"
    "\\\\.gitignore$"
    "/CMakeFiles/"
    "/_CPack_Packages/"
    "cmake_install.cmake"
    "CMakeCache.txt$"
    "install_manifest.txt$"
    "Makefile$"
    "Source\\\\.tar\\\\.gz$"
    "Linux\\\\.tar\\\\.gz$"
    "moc_.*\\\\.cxx$"
    "\\\\.so$"
    "\\\\.so\\\\.*"
    "ibus-test$"
    "/rpm/"
    "ibus-qt\\\\.spec$"
    "CPackSourceConfig\\\\.cmake$"
    "CPackConfig\\\\.cmake$"
    "docs/Doxyfile$"
    "docs/man"
    "docs/html"
    "build/"
)
include(CPack)

configure_file(ibus-qt.spec.in ibus-qt.spec)
configure_file(docs/Doxyfile.in docs/Doxyfile)

# ======
# Requires
# check X11
find_package(X11 REQUIRED)

# check qt
find_package(Qt4 4.5 COMPONENTS QtCore QtGui QtDBus QtXml REQUIRED)
include(${QT_USE_FILE})

# check dbus
find_package(PkgConfig REQUIRED)
find_package(ICU REQUIRED)
pkg_check_modules(DBUS REQUIRED dbus-1)
pkg_check_modules(IBUS REQUIRED ibus-1.0>=1.3.7)

# check doxygen
find_package(Doxygen REQUIRED)

# =====
# Define variables
if(NOT LIBDIR)
    if( $ENV{MACHTYPE} MATCHES "64")
        set(LIBDIR lib64)
    else()
        set(LIBDIR lib)
    endif()
endif(NOT LIBDIR)

if(NOT MANDIR)
    set(MANDIR "share/man")
endif(NOT MANDIR)

# ======
# sub dirs
add_subdirectory(src)
add_subdirectory(qtim)
add_subdirectory(test)
add_subdirectory(docs)

# ======
# targets
add_custom_target(version echo ${CPACK_PACKAGE_VERSION})
add_custom_target(gitclean git clean -f -d -X)
add_custom_target(rpm
    COMMAND make package_source
    COMMAND rpmbuild -bb
        --define "_sourcedir ${CMAKE_CURRENT_BINARY_DIR}"
        --define "_builddir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_srcrpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_rpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_specdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        ibus-qt.spec
    SOURCES ibus-qt.spec
    )
add_custom_target(srpm
    COMMAND make package_source
    COMMAND rpmbuild -bs
        --define "_sourcedir ${CMAKE_CURRENT_BINARY_DIR}"
        --define "_builddir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_srcrpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_rpmdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        --define "_specdir ${CMAKE_CURRENT_BINARY_DIR}/rpm"
        ibus-qt.spec
    SOURCES ibus-qt.spec
    )

=== qtim/CMakeLists.txt ===
include_directories(
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${X11_INCLUDE_DIRS}
    ${DBUS_INCLUDE_DIRS}
    ${IBUS_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/../src
)

link_directories(
    ${X11_LIBRARY_DIRS}
    ${DBUS_LIBRARY_DIRS}
    ${ICU_LIBRARY_DIRS}
)

set(
    qtim_ibus_SRCS
    ibus-input-context.cpp
    ibuskeyuni.cpp
    ibus-plugin.cpp
)

set(
    qtim_ibus_MOC_HDRS
    ibus-input-context.h
)

QT4_AUTOMOC(${qtim_ibus_SRCS})
QT4_WRAP_CPP(
    qtim_ibus_MOC_SRCS
    ${qtim_ibus_MOC_HDRS}
)

add_library(
    qtim-ibus MODULE
    ${qtim_ibus_SRCS}
    ${qtim_ibus_MOC_SRCS}
)

target_link_libraries(
    qtim-ibus
    debug ${QT_QTGUI_LIBRARY_DEBUG}
    optimized ${QT_QTGUI_LIBRARY_RELEASE}
    ${ICU_LIBRARIES}
    ibus-qt
)

install(
    TARGETS qtim-ibus
    LIBRARY DESTINATION
    ${QT_PLUGINS_DIR}/inputmethods)

=== debian/changelog ===
ibus-qt (1.3.3-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:53:15 +0000

ibus-qt (1.3.3-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:41:24 +0000

ibus-qt (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update uploaders.  Closes: #841802 
  * Update upstream URL.
  * Set hardening=+all.

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Dec 2016 11:42:32 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: LI Daobing <lidaobing@debian.org>,
-           Asias He <asias.hejun@gmail.com>,
-           Osamu Aoki <osamu@debian.org>
+Uploaders:  Osamu Aoki <osamu@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                doxygen,
@@ -14,10 +12,10 @@
                libqt4-dev (>= 4:4.8.0~),
                libx11-dev,
                pkg-config
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/ibus
-Vcs-Git: git://anonscm.debian.org/pkg-ime/ibus-qt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-qt.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/ibus/ibus/wiki
+Vcs-Git: https://anonscm.debian.org/git/pkg-ime/ibus-qt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ime/ibus-qt.git
 
 Package: ibus-qt4
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
            -DLIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_makeshlibs:
	        dh_makeshlibs -Nibus-qt4

=== debian/watch ===
version=3
opts=uversionmangle=s/-Source$// \
https://github.com/ibus/ibus-qt/releases \
.*/ibus-qt(?:-|_|_v|V)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
##################################################################
#  https://github.com/ibus/ibus-qt/releases
# <a href="/ibus/ibus-qt/releases/download/1.3.3/ibus-qt-1.3.3-Source.tar.gz" rel="nofollow">
